Package org.eclipse.jdt.core.dom

# Class TagElement

java.lang.Object
org.eclipse.jdt.core.dom.ASTNode
org.eclipse.jdt.core.dom.AbstractTagElement
org.eclipse.jdt.core.dom.TagElement

All Implemented Interfaces:
  `IDocElement`

public final class TagElement extends AbstractTagElement
AST node for a tag within a doc comment. Tag elements nested within another tag element are called inline doc tags.

     TagElement:
         [ @ Identifier ] { DocElement }
         {tagProperty = tagValue}
     DocElement:
         TextElement
         Name
         MethodRef
         MemberRef
         { TagElement }

Since:
  3.0
See Also:
  - `Javadoc`
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ChildListPropertyDescriptor`
`FRAGMENTS_PROPERTY`
The "fragments" structural property of this node type (element type: `IDocElement`).
`static final String`
`TAG_API_NOTE`
Javadoc tag name (value "@apiNote").
`static final String`
`TAG_AUTHOR`
Standard doc tag name (value "@author").
`static final String`
`TAG_CODE`
Standard inline doc tag name (value "@code").
`static final String`
`TAG_DEPRECATED`
Standard doc tag name (value "@deprecated").
`static final String`
`TAG_DOCROOT`
Standard inline doc tag name (value "@docRoot").
`static final String`
`TAG_EXCEPTION`
Standard doc tag name (value "@exception").
`static final String`
`TAG_HIDDEN`
Standard doc tag name (value "@hidden").
`static final String`
`TAG_HIGHLIGHT`
Standard snippet doc tag name (value "@highlight").
`static final String`
`TAG_IMPL_NOTE`
Javadoc tag name (value "@implNote").
`static final String`
`TAG_IMPL_SPEC`
Javadoc tag name (value "@implSpec").
`static final String`
`TAG_INDEX`
Standard doc tag name (value "@index").
`static final String`
`TAG_INHERITDOC`
Standard inline doc tag name (value "@inheritDoc").
`static final String`
`TAG_LINK`
Standard inline doc tag name (value "@link").
`static final String`
`TAG_LINKPLAIN`
Standard inline doc tag name (value "@linkplain").
`static final String`
`TAG_LITERAL`
Standard inline doc tag name (value "@literal").
`static final SimplePropertyDescriptor`
`TAG_NAME_PROPERTY`
The "tagName" structural property of this node type (type: `String`).
`static final String`
`TAG_PARAM`
Standard doc tag name (value "@param").
`static final ChildListPropertyDescriptor`
`TAG_PROPERTIES_PROPERTY`
The "properties" structural property of this node type (element type: `TagProperty`).
`static final String`
`TAG_PROVIDES`
Standard doc tag name (value "@provides").
`static final String`
`TAG_REPLACE`
Standard snippet doc tag name (value "@replace").
`static final String`
`TAG_RETURN`
Standard doc tag name (value "@return").
`static final String`
`TAG_SEE`
Standard doc tag name (value "@see").
`static final String`
`TAG_SERIAL`
Standard doc tag name (value "@serial").
`static final String`
`TAG_SERIALDATA`
Standard doc tag name (value "@serialData").
`static final String`
`TAG_SERIALFIELD`
Standard doc tag name (value "@serialField").
`static final String`
`TAG_SINCE`
Standard doc tag name (value "@since").
`static final String`
`TAG_SNIPPET`
Standard inline doc tag name (value "@snippet").
`static final String`
`TAG_SUMMARY`
Standard doc tag name (value "@summary").
`static final String`
`TAG_THROWS`
Standard doc tag name (value "@throws").
`static final String`
`TAG_USES`
Standard doc tag name (value "@uses").
`static final String`
`TAG_VALUE`
Standard inline doc tag name (value "@value").
`static final String`
`TAG_VERSION`
Standard doc tag name (value "@version").

### Fields inherited from class org.eclipse.jdt.core.dom.ASTNode

`ANNOTATION_TYPE_DECLARATION, ANNOTATION_TYPE_MEMBER_DECLARATION, ANONYMOUS_CLASS_DECLARATION, ARRAY_ACCESS, ARRAY_CREATION, ARRAY_INITIALIZER, ARRAY_TYPE, ASSERT_STATEMENT, ASSIGNMENT, BLOCK, BLOCK_COMMENT, BOOLEAN_LITERAL, BREAK_STATEMENT, CASE_DEFAULT_EXPRESSION, CAST_EXPRESSION, CATCH_CLAUSE, CHARACTER_LITERAL, CLASS_INSTANCE_CREATION, COMPILATION_UNIT, CONDITIONAL_EXPRESSION, CONSTRUCTOR_INVOCATION, CONTINUE_STATEMENT, CREATION_REFERENCE, DIMENSION, DO_STATEMENT, EitherOr_MultiPattern, EMPTY_STATEMENT, ENHANCED_FOR_STATEMENT, ENUM_CONSTANT_DECLARATION, ENUM_DECLARATION, EXPORTS_DIRECTIVE, EXPRESSION_METHOD_REFERENCE, EXPRESSION_STATEMENT, FIELD_ACCESS, FIELD_DECLARATION, FOR_STATEMENT, GUARDED_PATTERN, IF_STATEMENT, IMPORT_DECLARATION, INFIX_EXPRESSION, INITIALIZER, INSTANCEOF_EXPRESSION, INTERSECTION_TYPE, JAVADOC, JAVADOC_REGION, JAVADOC_TEXT_ELEMENT, LABELED_STATEMENT, LAMBDA_EXPRESSION, LINE_COMMENT, MALFORMED, MARKER_ANNOTATION, MEMBER_REF, MEMBER_VALUE_PAIR, METHOD_DECLARATION, METHOD_INVOCATION, METHOD_REF, METHOD_REF_PARAMETER, MODIFIER, MODULE_DECLARATION, MODULE_MODIFIER, MODULE_QUALIFIED_NAME, NAME_QUALIFIED_TYPE, NORMAL_ANNOTATION, NULL_LITERAL, NULL_PATTERN, NUMBER_LITERAL, OPENS_DIRECTIVE, ORIGINAL, PACKAGE_DECLARATION, PARAMETERIZED_TYPE, PARENTHESIZED_EXPRESSION, PATTERN_INSTANCEOF_EXPRESSION, POSTFIX_EXPRESSION, PREFIX_EXPRESSION, PRIMITIVE_TYPE, PROTECT, PROVIDES_DIRECTIVE, QUALIFIED_NAME, QUALIFIED_TYPE, RECORD_DECLARATION, RECORD_PATTERN, RECOVERED, REQUIRES_DIRECTIVE, RETURN_STATEMENT, SIMPLE_NAME, SIMPLE_TYPE, SINGLE_MEMBER_ANNOTATION, SINGLE_VARIABLE_DECLARATION, STRING_LITERAL, SUPER_CONSTRUCTOR_INVOCATION, SUPER_FIELD_ACCESS, SUPER_METHOD_INVOCATION, SUPER_METHOD_REFERENCE, SWITCH_CASE, SWITCH_EXPRESSION, SWITCH_STATEMENT, SYNCHRONIZED_STATEMENT, TAG_ELEMENT, TAG_PROPERTY, TEXT_BLOCK, TEXT_ELEMENT, THIS_EXPRESSION, THROW_STATEMENT, TRY_STATEMENT, TYPE_DECLARATION, TYPE_DECLARATION_STATEMENT, TYPE_LITERAL, TYPE_METHOD_REFERENCE, TYPE_PARAMETER, TYPE_PATTERN, UNION_TYPE, UNNAMED_CLASS, USES_DIRECTIVE, VARIABLE_DECLARATION_EXPRESSION, VARIABLE_DECLARATION_FRAGMENT, VARIABLE_DECLARATION_STATEMENT, WHILE_STATEMENT, WILDCARD_TYPE, YIELD_STATEMENT`

## Method Summary

Modifier and Type
Method
Description
`static List`
`propertyDescriptors(int apiLevel)`
Returns a list of structural property descriptors for this node type.
`List`
`tagProperties()`
Returns the live list of tag properties in this tag element.
`List`
`tagRegions()`
Returns the list of non dummy JavaDopRegions in this tag element.
`List`
`tagRegionsContainingTextElement(ASTNode docElem)`
Returns the list of non dummy JavaDocRegions containing this ASTNode and IDocElement.
`List`
`tagRegionsStartingAtTextElement(ASTNode docElem)`
Returns the list of non dummy JavaDocRegions starting at this ASTNode and IDocElement.

### Methods inherited from class org.eclipse.jdt.core.dom.AbstractTagElement

`fragments, getTagName, getTagNameProperty, internalTagNamePropertyFactory, isNested, setTagName`

### Methods inherited from class org.eclipse.jdt.core.dom.ASTNode

`accept, copySubtree, copySubtrees, delete, equals, getAST, getFlags, getLength, getLocationInParent, getNodeType, getParent, getProperty, getRoot, getStartPosition, getStructuralProperty, hashCode, nodeClassForType, properties, setFlags, setProperty, setSourceRange, setStructuralProperty, structuralPropertiesForType, subtreeBytes, subtreeMatch, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### TAG_NAME_PROPERTY

public static final SimplePropertyDescriptor TAG_NAME_PROPERTY
The "tagName" structural property of this node type (type: `String`).

### FRAGMENTS_PROPERTY

public static final ChildListPropertyDescriptor FRAGMENTS_PROPERTY
The "fragments" structural property of this node type (element type: `IDocElement`).

### TAG_PROPERTIES_PROPERTY

public static final ChildListPropertyDescriptor TAG_PROPERTIES_PROPERTY
The "properties" structural property of this node type (element type: `TagProperty`).

Since:
  3.30

### TAG_AUTHOR

public static final String TAG_AUTHOR
Standard doc tag name (value "@author").

See Also:
  - Constant Field Values

### TAG_CODE

public static final String TAG_CODE
Standard inline doc tag name (value "@code").

Note that this tag first appeared in J2SE 5.

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_DEPRECATED

public static final String TAG_DEPRECATED
Standard doc tag name (value "@deprecated").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_DOCROOT

public static final String TAG_DOCROOT
Standard inline doc tag name (value "@docRoot").

See Also:
  - Constant Field Values

### TAG_EXCEPTION

public static final String TAG_EXCEPTION
Standard doc tag name (value "@exception").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_HIDDEN

public static final String TAG_HIDDEN
Standard doc tag name (value "@hidden").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_INDEX

public static final String TAG_INDEX
Standard doc tag name (value "@index").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_INHERITDOC

public static final String TAG_INHERITDOC
Standard inline doc tag name (value "@inheritDoc").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_LINK

public static final String TAG_LINK
Standard inline doc tag name (value "@link").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_LINKPLAIN

public static final String TAG_LINKPLAIN
Standard inline doc tag name (value "@linkplain").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_LITERAL

public static final String TAG_LITERAL
Standard inline doc tag name (value "@literal").

Note that this tag first appeared in J2SE 5.

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_PARAM

public static final String TAG_PARAM
Standard doc tag name (value "@param").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_PROVIDES

public static final String TAG_PROVIDES
Standard doc tag name (value "@provides").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_RETURN

public static final String TAG_RETURN
Standard doc tag name (value "@return").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_SEE

public static final String TAG_SEE
Standard doc tag name (value "@see").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_SERIAL

public static final String TAG_SERIAL
Standard doc tag name (value "@serial").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_SERIALDATA

public static final String TAG_SERIALDATA
Standard doc tag name (value "@serialData").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_SERIALFIELD

public static final String TAG_SERIALFIELD
Standard doc tag name (value "@serialField").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_SINCE

public static final String TAG_SINCE
Standard doc tag name (value "@since").

See Also:
  - Constant Field Values

### TAG_SUMMARY

public static final String TAG_SUMMARY
Standard doc tag name (value "@summary").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_THROWS

public static final String TAG_THROWS
Standard doc tag name (value "@throws").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_USES

public static final String TAG_USES
Standard doc tag name (value "@uses").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_VALUE

public static final String TAG_VALUE
Standard inline doc tag name (value "@value").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_VERSION

public static final String TAG_VERSION
Standard doc tag name (value "@version").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_API_NOTE

public static final String TAG_API_NOTE
Javadoc tag name (value "@apiNote").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_IMPL_SPEC

public static final String TAG_IMPL_SPEC
Javadoc tag name (value "@implSpec").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_IMPL_NOTE

public static final String TAG_IMPL_NOTE
Javadoc tag name (value "@implNote").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_SNIPPET

public static final String TAG_SNIPPET
Standard inline doc tag name (value "@snippet").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_HIGHLIGHT

public static final String TAG_HIGHLIGHT
Standard snippet doc tag name (value "@highlight").

Since:
  3.30
See Also:
  - Constant Field Values

### TAG_REPLACE

public static final String TAG_REPLACE
Standard snippet doc tag name (value "@replace").

Since:
  3.30
See Also:
  - Constant Field Values

## Method Details

### propertyDescriptors

public static List propertyDescriptors(int apiLevel)
Returns a list of structural property descriptors for this node type. Clients must not modify the result.

Parameters:
  `apiLevel` - the API level; one of the `AST.JLS*` constants
Returns:
  a list of property descriptors (element type: `StructuralPropertyDescriptor`)
Since:
  3.0

### tagProperties

public List tagProperties()
Returns the live list of tag properties in this tag element.

Returns:
  the live list of properties in this tag element (element type: `TagProperty`)
Throws:
  `UnsupportedOperationException` - if this operation is used less than JLS18
Since:
  3.30

### tagRegions

public List tagRegions()
Returns the list of non dummy JavaDopRegions in this tag element.

Returns:
  the list of non dummy JavaDopRegions in this tag element. (element type: `JavaDocRegion`)
Throws:
  `UnsupportedOperationException` - if this operation is used less than JLS18
Since:
  3.30

### tagRegionsContainingTextElement

public List tagRegionsContainingTextElement(ASTNode docElem)
Returns the list of non dummy JavaDocRegions containing this ASTNode and IDocElement.

Returns:
  the list of non dummy JavaDocRegions containing this ASTNode and IDocElement. (element type: `JavaDocRegion`)
Throws:
  `UnsupportedOperationException` - if this operation is used less than JLS18
Since:
  3.30

### tagRegionsStartingAtTextElement

public List tagRegionsStartingAtTextElement(ASTNode docElem)
Returns the list of non dummy JavaDocRegions starting at this ASTNode and IDocElement.

Returns:
  the list of non dummy JavaDocRegions starting at this ASTNode and IDocElement. (element type: `JavaDocRegion`)
Throws:
  `UnsupportedOperationException` - if this operation is used less than JLS18
Since:
  3.30